#
# spec file for package perl-Term-Encoding
#
# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           perl-Term-Encoding
Version:        0.03
Release:        1.23
%define cpan_name Term-Encoding
Summary:        Detect encoding of the current terminal
License:        Artistic-1.0 OR GPL-1.0-or-later
Group:          Development/Libraries/Perl
Url:            https://metacpan.org/release/%{cpan_name}
Source0:        https://cpan.metacpan.org/authors/id/M/MI/MIYAGAWA/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
%{perl_requires}

%description
Term::Encoding is a simple module to detect an encoding the current
terminal expects, in various ways.

%prep
%setup -q -n %{cpan_name}-%{version}
# MANUAL BEGIN
sed -i -e 's/use inc::Module::Install/use lib q[.];\nuse inc::Module::Install/' Makefile.PL
# MANUAL END

%build
perl Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%check
make test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes README
%license LICENSE

%changelog
* Sat Mar 30 2019 Stephan Kulow <coolo@suse.com>
- updated to 0.03
  see /usr/share/doc/packages/perl-Term-Encoding/Changes
  0.03  2019-03-21 23:25:34 PDT
  - Repackaged with Milla
* Tue Oct  3 2017 coolo@suse.com
- patch the Makefile to build with perl 5.26
* Sat Sep 28 2013 coolo@suse.com
- initial package 0.02
  * created by cpanspec 1.78.07
